sboupgrade(1)

NAME

sboupgrade - install or upgrade slackbuilds

SYNAPSES

sboupgrade [-h|-v] [-c TRUE|FALSE] [-d TRUE|FALSE] [-j #|FALSE] [-fNrRiz] sbo_name (sbo_name)

DESCRIPTION

sboupgrade is used to upgrade packages installed from slackbuilds. If the -r flag is NOT specified, sboupgrade will pull the list of requirements from the .info file for any specified slackbuild. If such a list exists, sboupgrade will look to see whether or not those requirements are already installed, and if not, it will ask whether or not it should attempt to install them first. This is recursive, so that ordering happens correctly. sboupgrade will refuse to handle circular requirements. sboupgrade will also note groupadd and useradd commands in README files and offer to run those first. If the README documents options of the KEY=value form, sboupgrade will offer the opportunity to set options.

OPTIONS

-h|--help
    Show help information.

-v|--version
    Show version information.

-c|--noclean (FALSE|TRUE)
    If TRUE, then DO NOT clean working directories after building the slackbuild. These are the directories where the source is unpacked and compiled, and where the package is put together in, which are under /tmp/SBo (or $TMP). By default, these directories are removed after building an slackbuild. This option leaves those directories in place. This can be set as default via the sboconfig(1) command. Also see sbotools.conf(5). This option overrides the default.

-d|--distclean (FALSE|TRUE)
    If TRUE, then DO remove the source code after building the slackbuild. By default, the source code is not removed, and lives under $SBO_HOME/distfiles, which, by default, is /usr/sbo/distfiles; this option can be set as default via the sboconfig(1) command. See also sbotools.conf(5). This option overrides the default.

-f|--force
    Force an upgrade, even if the installed version is equal to or less than the slackbuilds.org version.

-i|--noinstall
    Do not actually install the package created at the end of the build process. So, the slackbuild will be run, and the package will be left in /tmp (or $OUTPUT), or in $PKG_DIR if so defined (see sboconfig(1) and sbotools.conf(5)).

-j|--jobs (FALSE|#)
    If numeric (2,5,10, etc), then that number will be fed to the "-j" argument to make when a slackbuild which invokes "make" is run. This only makes sense on multicore systems, where one might set the JOBS to the number of available cores, or half that number, etc.

-r|--nointeractive
    Skip viewing of the README and the yes or no question which accompanies it. Anytime sboupgrade is run, the first thing the command will attempt to do is show you the README for a given slackbuild and ask whether or not you wish to proceed; this option skips the README and bypasses the question. If multiple slackbuilds are specified, this option bypasses them all.

-z|--force-reqs
    When used in combination with the -f option, to force an update even if it would not constitute an update, this will cause sboupgrade to also rebuild all of that slackbuild's requirements. Normally with -f, only the slackbuild(s) specified, and any requirements not already installed, will be rebuilt. This allows for recursive upgrades, among other things.

EXIT CODES

sboinstall can exit with the following exit codes:
    0: all operations were succesful.
    1: a usage error occured, such as specifying invalid options.
    3: a .SlackBuild exited non-zero.
    4: unable to md5sum verify an SBo's source file(s).
    5: unable to download an SBo's source file(s).
    6: unable to obtain a required file handle.
    7: unable to get required info from the SBo's .info file.
    8: unable to unset the exec-on-close bit on a temporary file.
    9: multilib hasn't been setup (where required).
    10: convertpkg-compat32 exited non-zero.
    11: the convertpkg-compat32 script can't be found (where required).

BUGS

None known, but there may be some. Please report any found to https://github.com/pink-mist/sbotools/issues ; patches are always welcome.

SEE ALSO

sbocheck(1), sboclean(1), sboconfig(1), sbofind(1), sboinstall(1), sboremove(1), sbosnap(1), sbotools.conf(5)

AUTHORS

Jacob Pipkin <j@dawnrazor.net>

Luke Williams <xocel@iquidus.org>

Andreas Guldstrand <andreas.guldstrand@gmail.com>